@echo off

set TRACE_NPUKMD=b3b1aab1-3c04-4b6d-a069-59547bc18233
set TRACE_LEVELZERO=416f823f-2ce2-44b9-a1ba-7e98ba4cd4ba
set TRACE_D3D12=11a83531-4ac9-4142-8d35-e474b6b3c597
set TRACE_DXILFE=5c65fe8c-9f96-4bfd-9a87-9f8ebd45da64

set TRACE_NT_NORMAL=LOADER+PROC_THREAD+CSWITCH
set TRACE_LARGE_BUFFERS=-buffersize 1024 -minbuffers 128 -maxbuffers 256
xperf -on %TRACE_NT_NORMAL% %TRACE_LARGE_BUFFERS% -f kernel_trace.etl
xperf -start npu_trace -on %TRACE_NPUKMD%+%TRACE_LEVELZERO%+%TRACE_D3D12%+%TRACE_DXILFE% -f npu_trace.etl